### Method

# GtkSource SnippetManager list_groups

#### Declaration [src]

    const gchar**
    gtk_source_snippet_manager_list_groups (
      GtkSourceSnippetManager* self
    )

#### Description [src]

List all the known groups within the snippet manager.

The result should be freed with g_free(), and the individual strings are owned by `self` and should never be freed by the caller.

#### Return value

Type: An array of `utf8`

An array of strings which should be freed with g_free().

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data container, but not the data inside it.
Each element is a NUL terminated UTF-8 string.